<?php
/**
 * Created by PhpStorm.
 * 提交交易数据demo
 */

include_once "tools.php";

$config = include_once "config.php";//获取配置
$tradeUrl = 'http://test.webapi.engine.sunmi.com/software/postTrade';//联调环境的上传交易数据接口

//商品列表
$goodList[] = [
    'good_spec' => '10012121001',
    'good_name' => '海天酱油',
    'good_num' => '1',
    'stock_num' => '1232'
];
$goodList[] = [
    'good_spec' => '10012121002',
    'good_name' => '统一方便面',
    'good_num' => '1',
    'stock_num' => ''
];
//具体交易数据demo
$params = [
    'channel_code' => $config['channel_code'],//分配的渠道编号
    'request_number'=>'6632322020232'.mt_rand(10000,99999),//请求流水号 唯一
    'timestamp' => time(),//10位时间戳
    'store_code' => 'S155609411900597879',//分配的店铺编号 店铺编号唯一关联标识同一个店铺
    'trade_no' => '663232201904091911289',//交易订单号
    'trade_type' => 1,//交易类型 1正常销售 2退货
    'trade_time' => 1554808285,//交易时间 时间戳格式
    'trade_total' => '165.00',//交易金额 保留两位小数
    'pay_type' => 1,//付款方式 1现金2支付宝3微信4QQ钱包5京东钱包6银行卡刷卡7银联二维码8其他
    'people_num' => 1,//交易人数 有则给实际 无默认给1
    'software_name' => 'sunmi',//交易时所用软件名 能获取则给相应值 无法获取可写死一个值
    'software_spec' => 'syzjh',//交易时所用软件的规格 能获取则给相应值 无法获取可写死一个值
    'order_goodlist' => json_encode($goodList),//商品列表 JSON串
];

$orignStr = Tools::buildParamStrOne($params);
$params['sign'] = Tools::signOne($orignStr,$config['key']);
$retJson = Tools::http_post($tradeUrl,$params);

var_dump($retJson);